!+
!KWIC sumry.h
!
!Id$
!
!History:
!   1996-Jun-05[T. Gaetz]
!      . moved from individual source files to included file.
!      . reordered:  double precision, real, integer.
!      . add save statement
!
!  DEFINITIONS (extracted from source files):
!
!  /SUMRY/ VARIABLES INITIALIZED:
!    AQ    : 10*R*8 - COEFFICIENTS OF QUADRATIC FOCUS FUNCTION
!    WF1   : R*8 - SUM OF WEIGHTS OF RAYS FAILING AT SURFACE #1
!    WF2   : R*8 - SUM OF WEIGHTS OF RAYS FAILING AT SURFACE #2
!    WS1   : R*8 - SUM OF WEIGHTS OF SUCCESSFUL RAYS AT SURFACE #1
!    WS2   : R*8 - SUM OF WEIGHTS OF SUCCESSFUL RAYS AT SURFACE #2
!    JAIL1 : I*4 - NUMBER OF RAYS FAILING AT SURFACE #1
!    JAIL2 : I*4 - NUMBER OF RAYS FAILING AT SURFACE #2
!    LEFT1 : I*4 - NUMBER OF RAYS LEAVING S #1 OR PRECEEDING SURFACE
!    LEFT2 : I*4 - NUMBER OF RAYS LEAVING SURFACE #2 OR CURRENT SURFACE
!    XMIN  : R*4 - MINIMUM X COORD. FOR RAYS HITTING FOCAL PLANE
!    XMAX  : R*4 - MAXIMUM X COORD. FOR RAYS HITTING FOCAL PLANE
!    YMIN  : R*4 - MINIMUM Y COORD. FOR RAYS HITTING FOCAL PLANE
!    YMAX  : R*4 - MAXIMUM Y COORD. FOR RAYS HITTING FOCAL PLANE
!    WX    : R*8 - RUNNING SUM OF W * X COORD. AT FOCAL PLANE
!    WY    : R*8 - RUNNING SUM OF W * Y COORD. AT FOCAL PLANE
!    WR    : R*8 - RUNNING SUM OF W * (R) AT FOCAL PLANE
!    WXSQ  : R*8 - RUNNING SUM OF W * X**2 AT FOCAL PLANE
!    WYSQ  : R*8 - RUNNING SUM OF W * Y**2 AT FOCAL PLANE
!    SUMS FOR SURFACE J:
!    STAV (1, J) : R*4 - RUNNING SUM OF MAGNITUDES OF SAGITTAL
!-

      DOUBLE PRECISION AQ, WF1, WF2, WS1, WS2, XMIN, XMAX, YMIN, YMAX,
     1                 WX, WY, WR, WXSQ, WYSQ, STAV
      INTEGER          JAIL1, JAIL2, LEFT1, LEFT2
      COMMON /SUMRY/   AQ (10), WF1, WF2, WS1, WS2, JAIL1, JAIL2,
     1                 LEFT1, LEFT2, XMIN, XMAX, YMIN, YMAX,
     2                 WX, WY, WR, WXSQ, WYSQ, STAV (2, 21)

